Bug 237868 - Switch user button shown when screensaver runs in a standalone VNC server
Switch user button shown when screensaver runs in a standalone VNC server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 15:27 EDT by Daniel Berrange
Modified: 2015-01-14 18:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:14:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2007-04-25 15:27:45 EDT
Description of problem:
If running a standalone VNC server (ie, vncserver, *not* VINO), leaving it idle
for a while the screensaver kicks in. The auth dialog in the screensaver shows a
'switch user' button - this makes no sense since 'vncserver' process is run
per-user & thus you can't switch to another user within that VNC server process.
Pressing the button seems to be a no-op with no ill effects, but it'd still be
worth hiding it if practical

Version-Release number of selected component (if applicable):
gnome-screensaver-2.18.0-7.fc7


How reproducible:
Always

Steps to Reproduce:
1. SSH into a machine 'foo'
2. Run  'vncserver &'
3. Logout out of 'foo'
4. Run 'vncviewer foo:1'
5. Wait 20 minutes or so, not moving mouse in the VNC viewer window, until
screensaver kicks in
6. Move mouse to show the auth dialog
  
Actual results:
Switch user button shown

Expected results:
No switch user button

Additional info:
Comment 1 Bug Zapper 2008-05-13 22:48:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 18:33:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:14:21 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.